Accessimport sketch mdb.models[name].sketches[name] ConstrainedSketch(...)
This method creates a ConstrainedSketch object. If the sketch cannot be created, the method returns None. Pathmdb.models[name].ConstrainedSketch
Required arguments
Optional arguments
Return valueA ConstrainedSketch object. ExceptionsNone. ConstrainedSketch(...)
This method copies one ConstrainedSketch object to a new ConstrainedSketch object. Note: If the name of the sketch to be copied to is __edit__, Abaqus creates an exact copy that contains both reference geometry and a non-identity transform matrix. Otherwise, the Sketch copy constructor strips the reference geometry from the copied sketch and sets the transform matrix to identity, creating a standalone copy. Pathmdb.models[name].ConstrainedSketch
Required arguments
Optional argumentsNone. Return valueA ConstrainedSketch object. ExceptionsInvalidNameError. ConstrainedSketchFromGeometryFile(...)
This method creates a ConstrainedSketch object and places it in the sketches repository. Pathmdb.models[name].ConstrainedSketchFromGeometryFile
Required arguments
Optional argumentsNone. Return valueA ConstrainedSketch object. ExceptionsInvalidNameError. print()
This method prints the following statistics about a sketch:
ArgumentsNone. Return valueNone. ExceptionsNone. assignCenterline(...)
This method indicates the construction line that will be used as a centerline for revolved features. Required arguments
Optional argumentsNone. Return valueNone. ExceptionsNone. assignCenterOfTwist(...)
This method indicates the isolated point that will be used as the center of twist when an extruded feature is created with twist. Required arguments
Optional argumentsNone. Return valueNone. ExceptionsNone. autoDimension(...)
This method applies dimensions to the selected ConstrainedSketchGeometry objects in an effort to make the ConstrainedSketch well defined. Required arguments
Optional argumentsNone. Return valueNone. ExceptionsNone. autoTrimCurve(...)
This method automatically trims a selected ConstrainedSketchGeometry object at the specified location. If the object does not intersect other ConstrainedSketchGeometry objects, the entire selected object will be deleted. Required arguments
Optional argumentsNone. Return valueNone. ExceptionsNone. breakCurve(...)
This method breaks a specified ConstrainedSketchGeometry object (curve1) using another specified ConstrainedSketchGeometry object (curve2). If the selected ConstrainedSketchGeometry objects intersect, then only curve1 will be broken; curve2 is not affected by the operation. The location for the break is determined by the specified point values. Required arguments
Optional argumentsNone. Return valueNone. ExceptionsNone. copyMirror(...)
This method creates copies of the given ConstrainedSketchGeometry objects, mirrors them about a selected line, and inserts them into the appropriate repositories of the ConstrainedSketch object. Required arguments
Optional argumentsNone. Return valueNone. ExceptionsNone. copyMove(...)
This method creates copies of the given ConstrainedSketchGeometry objects, moves them from their original position, and inserts them into the appropriate repositories of the ConstrainedSketch object. Required arguments
Optional argumentsNone. Return valueNone. ExceptionsNone. copyRotate(...)
This method creates copies of the given ConstrainedSketchGeometry objects, rotates them, and inserts them into the appropriate repositories of the ConstrainedSketch object. Required arguments
Optional argumentsNone. Return valueNone. ExceptionsNone. copyScale(...)
This method creates copies of the given ConstrainedSketchGeometry objects, scales them by the specified value about a selected point, and inserts them into the appropriate repositories of the ConstrainedSketch object. Required arguments
Optional argumentsNone. Return valueNone. ExceptionsNone. delete(...)
This method deletes the given ConstrainedSketchGeometry, ConstrainedSketchDimension, or ConstrainedSketchConstraint objects. Required arguments
Optional argumentsNone. Return valueNone. ExceptionsNone. deleteParameter(...)
The command deletes a specified parameter. Required arguments
Optional argumentsNone. Return valueNone. ExceptionsNone. dragEntity(...)
This method drags a specified ConstrainedSketchGeometry or ConstrainedSketchVertex object to a specific location. Required arguments
Optional argumentsNone. Return valueNone. ExceptionsNone. linearPattern(...)
This method copies ConstrainedSketchGeometry objects in a linear pattern along one or two directions. This method also copies any associated dimension or constraint objects that exist between the given objects. Required arguments
Optional arguments
Return valueNone. Exceptions
mergeVertices(...)
This method merges the ConstrainedSketchVertex objects that lie within the specified distance of each other. If only one ConstrainedSketchVertex object is selected, it will merge all ConstrainedSketchVertex objects that lie within the specified distance of that vertex. If more than one vertex is selected, the search will be restricted to only the selected ConstrainedSketchVertex objects. Required arguments
Optional argumentsNone. Return valueNone. ExceptionsNone. move(...)
This method translates the given ConstrainedSketchGeometry objects by the given vector. Required arguments
Optional argumentsNone. Return valueNone. ExceptionsNone. offset(...)
This method creates copies of the selected ConstrainedSketchGeometry objects, offsets them by the specified distance in the specified direction, and inserts them into the ConstrainedSketch object's appropriate repositories. If connected objects are selected, trim or extend is carried out to complete the offset. Required arguments
Optional arguments
Return valueNone. ExceptionsNone. radialPattern(...)
This method copies ConstrainedSketchGeometry objects in a radial pattern about a specified center point. Required arguments
Optional arguments
Return valueNone. ExceptionsNone. resetView()
This method resets the view to be perpendicular to the sketching plane. ArgumentsNone. Return valueNone. ExceptionsNone. rectangle(...)
This method creates four lines that form a rectangle with diagonal corners defined by the given points and inserts them into the geometry repository of the ConstrainedSketch object. Required arguments
Optional argumentsNone. Return valueAn Int specifying the success or failure of the method. A value of 0 indicates failure. ExceptionsNone. removeGapsAndOverlaps(...)
This method removes gaps and overlaps between sketch geometries specified by the user. This method is particularly useful when cleaning up imported sketches Required arguments
Optional argumentsNone. Return valueNone. ExceptionsNone. repairShortEdges(...)
This method deletes the short edges specified, optionally selecting only those short edges whose lengths are smaller than the specified tolerance and healing the resultant gap in the sketch. This method is particularly useful in conjunction with removeGapsAndOverlap when cleaning up imported sketches. Required arguments
Optional arguments
Return valueNone. ExceptionsNone. retrieveSketch(...)
This method copies all ConstrainedSketchGeometry, ConstrainedSketchDimension, ConstrainedSketchConstraint, and ConstrainedSketchParameter objects from the specified ConstrainedSketch object. The new objects are added to the existing objects (if any). The objects in the specified ConstrainedSketch object are not modified by the retrieve operation. Required arguments
Optional argumentsNone. Return valueNone. ExceptionsNone. rotate(...)
This method rotates the given ConstrainedSketchGeometry objects by the given angle and about the given point. Required arguments
Optional argumentsNone. Return valueNone. ExceptionsNone. scale(...)
This method scales the given ConstrainedSketchGeometry objects by the given scale factor and about the given point. Required arguments
Optional argumentsNone. Return valueNone. ExceptionsNone. setPrimaryObject(...)
This method makes the ConstrainedSketch object the primary object in the current viewport. The sketch remains the primary object in the current viewport until an unsetPrimaryobject command is issued. Required arguments
Optional argumentsNone. Return valueNone. ExceptionsNone. trimExtendCurve(...)
This method trims or extends a specified ConstrainedSketchGeometry object (curve1) using another specified ConstrainedSketchGeometry object (curve2). curve2 is not affected by the operation. The location for the trim or extend is determined by the specified point values. Required arguments
Optional argumentsNone. Return valueNone. ExceptionsNone. undo()
This method undoes the effects of the last ConstrainedSketch object method. ArgumentsNone. Return valueNone. ExceptionsNone. unsetPrimaryObject()
This method removes the ConstrainedSketch object from the current viewport, reversing the effects of the setPrimaryobject command. If the option argument was set to SUPERIMPOSE, the viewport will be returned to the view orientation that was in place when the setPrimaryobject command was issued. If the option argument was set to STANDALONE, the viewport will be left empty. ArgumentsNone. Return valueNone. ExceptionsNone. writeAcisFile(...)
This method exports the geometry of the sketch to a named file in ACIS format. Required arguments
Optional arguments
Return valueNone. ExceptionsInvalidNameError. writeIgesFile(...)
This method exports the geometry of the sketch to a named file in IGES format. Required arguments
Optional arguments
Return valueNone. ExceptionsInvalidNameError. MembersThe ConstrainedSketch object can have the following members:
|